PETSc version 3.15.5
Fix/Edit manual page

# PetscRandomGetType

Gets the type name (as a string) from the PetscRandom.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomGetType(PetscRandom rnd, PetscRandomType *type)

Not Collective

### Input Parameter

| rnd | - The random number generator context

### Output Parameter

| type | - The type name

### See Also

PetscRandomSetType(), PetscRandomCreate()

### Level

intermediate

### Location

src/sys/classes/random/interface/randreg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages